Bug 867188 - Designer validation fails when Reusable Subprocess refers to a different package
Summary: Designer validation fails when Reusable Subprocess refers to a different package
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
(Show other bugs)
Version: BRMS 5.3.0.GA
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ER4
: BRMS 5.3.1 GA
Assignee: Tihomir Surdilovic
QA Contact: Jiri Locker
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-17 02:26 UTC by Toshiya Kobayashi
Modified: 2018-11-30 21:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Process Designer validation error occurred when reusable sub-processes referred to a different package. This issue would cause users to see a false error message regarding the process could not be found. This has been fixed by stopping the false validation message from appearing.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3823 Minor Resolved Designer validation fails when Reusable Subprocess refers to a different package 2013-10-08 14:51:35 UTC

Description Toshiya Kobayashi 2012-10-17 02:26:16 UTC
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-3823

Steps to Reproduce:


1. Import repository_export_subprocess_in_different_package.xml attached to JBPM-3823
2. Open 'parentprocess' in defaultPackage
3. Click 'Validate Process'

  
Actual results:

Validation error "No existing process with id=anotherPackage.childprocess could be found."

Expected results:

No validation error.

Comment 1 JBoss JIRA Server 2012-10-17 04:31:11 UTC
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-3823

Sent a pull request:
https://github.com/droolsjbpm/jbpm-designer/pull/7

Comment 2 JBoss JIRA Server 2012-10-17 16:16:06 UTC
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-3823

Pull request merged into master - thank you!

Comment 3 JBoss JIRA Server 2012-10-17 16:16:19 UTC
Tihomir Surdilovic <tsurdilo@redhat.com> updated the status of jira JBPM-3823 to Resolved

Comment 4 Tihomir Surdilovic 2012-10-17 16:17:17 UTC
Raise blocker flag to include in 5.3.1

Comment 6 Tihomir Surdilovic 2012-10-24 23:46:24 UTC
Fix committed to 2.3.x Designer branch

Comment 7 Douglas Hoffman 2012-11-06 04:48:40 UTC
Adjusted Release Notes based on the content provided in the Doc Text. Thanks for the information.
-Doug

Comment 8 Jiri Locker 2012-11-14 20:40:44 UTC
Fix verified in BRMS 5.3.1 ER4.

Process with subprocess node now validates successfully if the called element is a process from different package.


Note You need to log in before you can comment on or make changes to this bug.